# PHTTPDirRequest Class Reference

`#include <http.h>`

Inheritance diagram for PHTTPDirRequest:

List of all members.

## Public Member Functions

| PHTTPDirRequest (const PURL &url, const PMIMEInfo &inMIME, const PMultiPartList &multipartFormInfo, PHTTPResource *resource, PHTTPServer &server)

## Public Attributes

PString | fakeIndex
PFilePath | realPath

## Constructor & Destructor Documentation

PHTTPDirRequest::PHTTPDirRequest | ( | const PURL & | url,
|  | const PMIMEInfo & | inMIME,
|  | const PMultiPartList & | multipartFormInfo,
|  | PHTTPResource * | resource,
|  | PHTTPServer & | server |
| ) |  |  |

## Member Data Documentation

PString PHTTPDirRequest::fakeIndex

PFilePath PHTTPDirRequest::realPath

The documentation for this class was generated from the following file:

- http.h